import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconCircleX as IconCircleXClass } from "../../../../components/icon/icons/circle-x.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconCircleX = (props) => {
  IconCircleXClass.define();
  const JSXElement = getReactComponent("gds-icon-circle-x");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconCircleX.displayName = "IconCircleX";
export {
  IconCircleX
};
